---
title: Get all Salesforce incident templates
description: Datadog, the leading service for cloud-scale monitoring.
breadcrumbs: Docs > API Reference > Salesforce Integration
---

# Get all Salesforce incident templates{% #get-all-salesforce-incident-templates %}
Copy pageCopied
{% tab title="v2" %}

| Datadog site      | API endpoint                                                                                 |
| ----------------- | -------------------------------------------------------------------------------------------- |
| ap1.datadoghq.com | GET https://api.ap1.datadoghq.com/api/v2/integration/salesforce-incidents/incident-templates |
| ap2.datadoghq.com | GET https://api.ap2.datadoghq.com/api/v2/integration/salesforce-incidents/incident-templates |
| app.datadoghq.eu  | GET https://api.datadoghq.eu/api/v2/integration/salesforce-incidents/incident-templates      |
| app.ddog-gov.com  | GET https://api.ddog-gov.com/api/v2/integration/salesforce-incidents/incident-templates      |
| us2.ddog-gov.com  | GET https://api.us2.ddog-gov.com/api/v2/integration/salesforce-incidents/incident-templates  |
| app.datadoghq.com | GET https://api.datadoghq.com/api/v2/integration/salesforce-incidents/incident-templates     |
| us3.datadoghq.com | GET https://api.us3.datadoghq.com/api/v2/integration/salesforce-incidents/incident-templates |
| us5.datadoghq.com | GET https://api.us5.datadoghq.com/api/v2/integration/salesforce-incidents/incident-templates |

### Overview

Get all Salesforce incident templates configured for your organization. This endpoint requires the `integrations_read` permission.

### Response

{% tab title="200" %}
OK
{% tab title="Model" %}
Response containing a list of Salesforce incident templates.

| Parent field | Field                        | Type     | Description                                                                                                       |
| ------------ | ---------------------------- | -------- | ----------------------------------------------------------------------------------------------------------------- |
|              | data [*required*]       | [object] | An array of Salesforce incident templates.                                                                        |
| data         | attributes [*required*] | object   | Salesforce incident template attributes returned by the API.                                                      |
| attributes   | description                  | string   | Long-form description body for Salesforce incidents created from this template.                                   |
| attributes   | name                         | string   | Human-readable name for this incident template.                                                                   |
| attributes   | owner_id                     | string   | The Salesforce user ID that owns incidents created from this template.                                            |
| attributes   | priority                     | enum     | Priority of the Salesforce incident created from this template. Allowed enum values: `Critical,High,Moderate,Low` |
| attributes   | salesforce_org_id            | uuid     | The Datadog-assigned ID of the Salesforce organization this template belongs to.                                  |
| attributes   | subject                      | string   | Subject line for Salesforce incidents created from this template.                                                 |
| data         | id [*required*]         | string   | The ID of the Salesforce incident template.                                                                       |
| data         | type [*required*]       | enum     | Salesforce incident template resource type. Allowed enum values: `salesforce-incidents-incident-template`         |

{% /tab %}

{% tab title="Example" %}

```json
{
  "data": [
    {
      "attributes": {
        "description": "An incident was detected by Datadog monitors.",
        "name": "production-outage",
        "owner_id": "005000000000000",
        "priority": "High",
        "salesforce_org_id": "596da4af-0563-4097-90ff-07230c3f9db3",
        "subject": "Datadog Incident: Production Outage"
      },
      "id": "596da4af-0563-4097-90ff-07230c3f9db3",
      "type": "salesforce-incidents-incident-template"
    }
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="403" %}
Forbidden
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

{% tab title="429" %}
Too many requests
{% tab title="Model" %}
API error response.

| Field                    | Type     | Description       |
| ------------------------ | -------- | ----------------- |
| errors [*required*] | [string] | A list of errors. |

{% /tab %}

{% tab title="Example" %}

```json
{
  "errors": [
    "Bad Request"
  ]
}
```

{% /tab %}

{% /tab %}

### Code Example

##### 
                  \# Curl command curl -X GET "https://api.datadoghq.com/api/v2/integration/salesforce-incidents/incident-templates" \
-H "Accept: application/json" \
-H "DD-API-KEY: ${DD_API_KEY}" \
-H "DD-APPLICATION-KEY: ${DD_APP_KEY}" 
                
{% /tab %}
